# Laporan Urun-Daya/Arsip

Arsip laporan bencana

\
Catatan: [autentikasi](/general/authentication.md) diperlukan untuk mengakses data arsip&#x20;

## Format Permintaan

<table><thead><tr><th width="213">Parameter Kueri</th><th width="267">Deskripsi</th><th>Format</th><th>Wajib</th></tr></thead><tbody><tr><td>start</td><td>Waktu mulai periode arsip</td><td>String dalam format ISO 8601 (YYYY-MM-DDTHH:mm:ss+ZZZZ</td><td>Ya</td></tr><tr><td>end</td><td>Waktu akhir periode arsip</td><td>String dalam format ISO 8601 (YYYY-MM-DDTHH:mm:ss+ZZZZ</td><td>Ya</td></tr><tr><td>disaster</td><td>Jenis bencana apa yang datanya ingin disajikan? (salah satu antara flood, earthquake, fire, haze, wind, volcano, tidak memfilter secara default)</td><td>String</td><td>Tidak</td></tr><tr><td>admin</td><td>Area mana yang laporannya ingin disajikan? (lihat Area Didukung)</td><td></td><td></td></tr><tr><td>geoformat</td><td>Format apa yang diperlukan untuk hasil geografis? (salah satu antara <code>topojson</code>, <code>geojson</code>, <em>default</em> ke <code>topojson</code>)</td><td>String</td><td>Tidak</td></tr></tbody></table>

Perhatikan bahwa zona waktu harus ditentukan sebagai perbedaan waktu +/- UTC yang memerlukan pengkodean karakter HTML (mis. +0700 menjadi% 2B0700).

## Get /reports/archive

Catatan : Harap sertakan header User-Agent di semua permintaan Anda. Header User-Agent membantu kami mengidentifikasi permintaan Anda dan memecahkan masalah apa pun yang mungkin Anda alami. Untuk menyetel header User-Agent, tambahkan baris berikut ke header permintaan Anda:

Daftar laporan bencana  yang diterima dalam jangka waktu tertentu

```
curl --user-agent "YOUR-UA-STRING"  -H "X-Api-Key: API_KEY_GOES_HERE" "https://api.petabencana.id/archive/reports?start=2017-12-04T00%3A00%3A00%2B0700&end=2017-12-06T05%3A00%3A00%2B0700&geoformat=geojson"
```

Hasilnya adalah sebagai berikut:

```javascript
{
    "statusCode": 200,
    "result": {
        "type": "FeatureCollection",
        "features": [
            {
                "type": "Feature",
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        106.815842,
                        -6.183179
                    ]
                },
                "properties": {
                    "pkey": "0001",
                    "created_at": "2017-12-04T09:51:00.000Z",
                    "source": "qlue",
                    "status": "confirmed",
                    "url": null,
                    "image_url": null,
                    "disaster_type": "flood",
                    "report_data": null,
                    "tags": {
                        "instance_region_code": "jbd",
                        "local_area_id": "782"
                    },
                    "title": " ",
                    "text": "#flood report"
                }
            }
          ]
        }
      }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.petabencana.id/authenticated-api/laporan-urun-saya-arsip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
